#include <bits/stdc++.h>
using namespace std;
using ll = long long;

int main()
{
    ll n;
    cin >> n;
    int mini = 1, maxi = n * 2, br = 1;
    bool prosli = false;
    while (br <= n)
    {
        br++;
        if (prosli == false)
        {
            cout << mini << " ";
            mini++;
            prosli = true;
        }
        else
        {
            cout << maxi << " ";
            maxi --;
            prosli = false;
        }
    }
    cout << '\n';
    prosli = false;
    while (br <= n * 2)
    {
        br++;
        if (prosli == false)
        {
            cout << mini << " ";
            mini++;
            prosli = true;
        }
        else
        {
            cout << maxi << " ";
            maxi --;
            prosli = false;
        }
    }

}